SamplerRingGaussian Class Reference

Gaussian Ring Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerRingGaussian (const Array &lower, const Array &upper, unsigned long seed=SeedGenerator::instance().get())
| SamplerRingGaussian (const SamplerRingGaussian &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Detailed Description

Gaussian Ring Sampler.

Sample from normal distribution, but constrained to lie within .boundaries. If the value ends up beyond the boundary, the value is circled back from the other side.